## libav 11.8

=== debian/changelog ===
libav (6:11.8-1~deb8u1tanglu3.1) chromodoris-updates; urgency=medium

  * Pull from Debian stable for Tanglu because of security issue DSA 3685-1
  * Remaining changes:
    - Add libavresample2.triggers, libavcodec-extra-56.triggers,
      libavfilter5.triggers, libswscale3.triggers, libavcodec56.triggers,
      libavformat56.triggers, libavdevice55.triggers and libavutil54.triggers
      to prevent lintian error package-must-activate-ldconfig-trigger

 -- Thomas Funk <t.funk@web.de>  Sat, 27 Oct 2016 23:48:13 +0200

libav (6:11.8-1~deb8u1) jessie-security; urgency=medium

  * New upstream release.
  * debian/upstream-signing-key.pgp: Update upstream signing key.
  * debian/patches/mpegvideo_motion-Handle-edge-emulation-even-without-.patch:
    Fix NULL pointer dereference in put_no_rnd_pixels8_xy2_mmx. (CVE-2016-7424)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 24 Sep 2016 15:23:39 +0200

libav (6:11.7-1~deb8u1) jessie-security; urgency=medium

  * New upstream release fixing a security issue.
    - mov: Check the entries value when parsing dref boxes (CVE-2016-3062)
  * debian/patches/CVE-2016-2326.patch: Removed, included upstream.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 12 Jun 2016 11:36:21 +0200

libav (6:11.6-1~deb8u1) jessie-security; urgency=medium

  * New upstream release fixing multiple security issues.
    - concat: disable by default (CVE-2016-1897, CVE-2016-1898)
    - aac_parser: add required padding for GetBitContext buffer
    - ac3_parser: add required padding for GetBitContext buffer
    - imc: add required padding for GetBitContext buffer
    - h263: Always check both dimensions
    - opusdec: properly handle mismatching configurations in multichannel
      streams
    - mov: Correctly allocate ctts_data
    - aac: Wait to know the channels before allocating frame
    - rtpdec_asf: Check memory allocation and free memory on error
    - jack: Check memory allocation
    - mov: Check memory allocation
    - mkv: Correctly report the latest packet had been flushed
    - aic: Fix slice size computation for widths multiples of 32 macroblocks
    - webp: Make sure enough bytes are available
    - g726: Do not crash on user mistake
    - bytestream2: set the reader to the end when reading more than available
    - vp7: bound checking in vp7_decode_frame_header
    - mux: Make sure that the data is actually written
    - file: properly forward errors from file_read() and file_write()
    - mmvideo: Make sure the rle does not write over the frame boundaries
    - opus: Buffer the samples from the correct offset
    - nut: Use the correct codec_tag when multiple are available
    - truemotion2: Fix the buffer check
    - mimic: Always return on failure
    - msnwc_tcp: Correctly report failure
    - rpza: Check the blocks left before processing one
    - dvdsubdec: Validate the RLE offsets
    - avi: Validate the stream-id for DV as well
    - mov: Use the correct type for size
  * debian/confflags: Force --disable-protocol=concat.
  * debian/patches/CVE-2016-2326.patch: avformat/asfenc: Check pts.
    (CVE-2016-2326)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 02 Mar 2016 23:13:43 +0100
