=== debian/changelog ===
libav (6:11.12-1~deb8u9) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * CVE-2019-17542: heap-based buffer overflow in vqa_decode_chunk because
    of an out-of-array access in vqa_decode_init in libavcodec/vqavideo.c.
  * CVE-2019-14443: division by zero in range_decode_culshift in
    libavcodec/apedec.c allows remote attackers to cause a denial of
    service (application crash), as demonstrated by avconv.
  * CVE-2018-19128: heap-based buffer over-read in decode_frame in
    libavcodec/lcldec.c that allows an attacker to cause denial-of-service
    via a crafted avi file.
  * CVE-2017-17127: the vc1_decode_frame function in libavcodec/vc1dec.c
    allows remote attackers to cause a denial of service (NULL pointer
    dereference and application crash) via a crafted file.
    CVE-2018-19130 is a duplicate of this vulnerability.
  * CVE-2017-18245: the mpc8_probe function in libavformat/mpc8.c allows
    remote attackers to cause a denial of service (heap-based buffer
    over-read) via a crafted audio file on 32-bit systems.

 -- Sylvain Beucler <beuc@debian.org>  Thu, 05 Dec 2019 17:27:00 +0100

libav (6:11.12-1~deb8u8) jessie-security; urgency=medium

  * CVE-2019-14442: avformat/mpc8: fix hang with fuzzed file.
  * CVE-2018-5766: lavc/avpacket: Fix undefined behaviour, do not pass a null
    pointer to memcpy().
  * CVE-2019-14372: wvdec: check for eof in wv_read_block_header().
  * CVE-2017-9987: avcodec/mpegvideo_motion: Fix off by 1 error in MV bounds
    checking.
  * CVE-2018-11102:  
    - mov_probe: fix integer overflows.
    - mov.c: Check for stsd + m1s tag indicating MOV-wrapped MPEG-PS, and force
      continued probing if found. 

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 31 Aug 2019 17:36:55 +0200

libav (6:11.12-1~deb8u7) jessie-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * CVE-2019-11338: avcodec/hevc: Avoid only partly skiping duplicate first
    slices.
  * CVE-2018-15822: avformat/flvenc: Check audio packet size. 

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 28 May 2019 14:14:01 +0200

libav (6:11.12-1~deb8u6) jessie-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * CVE-2018-1999012: avformat/pva: Check for EOF before retrying in
    read_part_of_packet().
  * CVE-2015-1872: avcodec/mjpegdec: Check number of components for
    JPEG-LS.
  * CVE-2018-6392: avfilter/vf_transpose: Fix out of array access (including
    later regression fix with packed pixel formats).
  * CVE-2017-14058: avformat/hls: Fix DoS due to infinite loop.
  * CVE-2017-1000460: h264dec: handle zero-sized NAL units in
    get_last_needed_nal().

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 30 Mar 2019 21:44:13 +0100

libav (6:11.12-1~deb8u5) jessie-security; urgency=medium

  * Non-maintainer upload by the LTS team..
  * CVE-2015-1207: avformat/mov: Fix integer overflow in
    mov_read_udta_string().
  * CVE-2017-14169: In mxf_read_primer_pack() function, catch item_num
    being negative, to avoid bypassing the check for a large value.
  * CVE-2017-14223: avformat/asfdec: Fix DoS in asf_build_simple_index().
    Fix missing EOF check in loop.
  * CVE-2017-7863: Bail out if trns was found before IHDR or IDAT in PNG data. 
  * CVE-2014-8542: Add case for jv to avcodec_align_dimensions2().
  * CVE-2017-7865: Add case for interplay_video to avcodec_align_dimensions2().

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 21 Jan 2019 15:30:50 +0100

libav (6:11.12-1~deb8u4) jessie-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix the following security vulnerabilities:
  * CVE-2017-14055: a DoS in mv_read_header() due to lack of an EOF (End of
    File) check might cause huge CPU and memory consumption.
  * CVE-2017-14056: a DoS in rl2_read_header() due to lack of an EOF (End of
    File) check might cause huge CPU and memory consumption.
  * CVE-2017-14057: a DoS in asf_read_marker() due to lack of an EOF (End of
    File) check might cause huge CPU and memory consumption.
  * CVE-2017-14170: a DoS in mxf_read_index_entry_array() due to lack of an EOF
    (End of File) check might cause huge CPU consumption.
  * CVE-2017-14171: a DoS in nsv_parse_NSVf_header() due to lack of an EOF (End
    of File) check might cause huge CPU consumption.
  * CVE-2017-14767: The sdp_parse_fmtp_config_h264 function in
    libavformat/rtpdec_h264.c mishandles empty sprop-parameter-sets values, which
    allows remote attackers to cause a denial of service (heap buffer overflow)
    or possibly have unspecified other impact via a crafted sdp file.
  * CVE-2017-15672: The read_header function in libavcodec/ffv1dec.c allows
    remote attackers to have unspecified impact via a crafted MP4 file, which
    triggers an out-of-bounds read.
  * CVE-2017-17130: The ff_free_picture_tables function in
    libavcodec/mpegpicture.c allows remote attackers to cause a denial of service
    (heap-based buffer overflow and application crash) or possibly have
    unspecified other impact via a crafted file, related to
    vc1_decode_i_blocks_adv.
  * CVE-2017-9993: Libav does not properly restrict HTTP Live Streaming
    filename extensions and demuxer names, which allows attackers to read
    arbitrary files via crafted playlist data.
  * CVE-2017-9994: libavcodec/webp.c in Libav before does not ensure that
    pix_fmt is set, which allows remote attackers to cause a denial of service
    (heap-based buffer overflow and application crash) or possibly have
    unspecified other impact via a crafted file, related to the
    vp8_decode_mb_row_no_filter and pred8x8_128_dc_8_c functions.
  * CVE-2018-14394: libavformat/movenc.c in Libav allows attackers to cause a
    denial of service (application crash caused by a divide-by-zero error) with a
    user crafted Waveform audio file.
  * CVE-2018-1999010: Libav contains multiple out of array access
    vulnerabilities in the mms protocol that can result in attackers accessing

