=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libav
 Section: libs
 Priority: optional
-Maintainer: Tanglu Developers <tanglu-devel-discuss@lists.tanglu.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
  Loïc Minier <lool@debian.org>,
@@ -407,3 +406,4 @@
  Libav is a complete, cross-platform solution to decode, encode, record,
  convert and stream audio and video.
  .
+ This package depends on the latest version of the libavcodec variant
